Skip to main content
PUT
/
locations
/
{locationId}
/
customFields
/
{id}
Update Custom Field
curl --request PUT \
  --url https://services.leadconnectorhq.com/locations/{locationId}/customFields/{id} \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --header 'Version: <version>' \
  --data '
{
  "name": "Custom Field",
  "placeholder": "Placeholder Text",
  "acceptedFormat": [
    ".pdf",
    ".docx",
    ".jpeg"
  ],
  "isMultipleFile": false,
  "maxNumberOfFiles": 2,
  "textBoxListOptions": [
    {
      "label": "First",
      "prefillValue": ""
    }
  ],
  "position": 0,
  "model": "opportunity"
}
'
{
  "customField": {
    "id": "3sv6UEo51C9Bmpo1cKTq",
    "name": "pincode",
    "fieldKey": "contact.pincode",
    "placeholder": "Pin code",
    "dataType": "TEXT",
    "position": 0,
    "picklistOptions": [
      "first option"
    ],
    "picklistImageOptions": [],
    "isAllowedCustomOption": false,
    "isMultiFileAllowed": true,
    "maxFileLimit": 4,
    "locationId": "3sv6UEo51C9Bmpo1cKTq",
    "model": "opportunity"
  }
}

Authorizations

Authorization
string
header
required

Use the Access Token generated with user type as Sub-Account (OR) Private Integration Token of Sub-Account.

Headers

Version
enum<string>
required

API Version

Available options:
2021-07-28

Path Parameters

locationId
string
required

Location Id

id
string
required

Custom Field Id

Body

application/json
name
string
required
Example:

"Custom Field"

placeholder
string
Example:

"Placeholder Text"

acceptedFormat
string[]
Example:
[".pdf", ".docx", ".jpeg"]
isMultipleFile
boolean
Example:

false

maxNumberOfFiles
number
Example:

2

textBoxListOptions
object[]
position
number
default:0
Example:

0

model
enum<string>

Model of the custom field you want to update

Available options:
contact,
opportunity
Example:

"opportunity"

Response

Successful response

customField
object
Last modified on March 4, 2026